| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
zip.h File Reference
`#include "zlib.h"`
`#include "ioapi.h"`
Include dependency graph for zip.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | zip_fileinfo

## Macros
#define | Z_BZIP2ED 12
#define | ZIP_OK (0)
#define | ZIP_EOF (0)
#define | ZIP_ERRNO (Z_ERRNO)
#define | ZIP_PARAMERROR (-102)
#define | ZIP_BADZIPFILE (-103)
#define | ZIP_INTERNALERROR (-104)
#define | DEF_MEM_LEVEL MAX_MEM_LEVEL
#define | APPEND_STATUS_CREATE (0)
#define | APPEND_STATUS_CREATEAFTER (1)
#define | APPEND_STATUS_ADDINZIP (2)

## Typedefs
typedef voidp | zipFile

## Functions
zipFile ZEXPORT | zipOpen (const char *path, int append)
zipFile ZEXPORT | zipOpen64 (const void *path, int append)
zipFile ZEXPORT | zipOpen2 (const char *path, int append, const char **globalcomment, zlib_filefunc_def *pzlib_filefunc_def)
zipFile ZEXPORT | zipOpen2_64 (const void *path, int append, const char **globalcomment, zlib_filefunc64_def *pzlib_filefunc_def)
zipFile ZEXPORT | zipOpen3 (const char *path, int append, uint64_t disk_size, const char **globalcomment, zlib_filefunc_def *pzlib_filefunc_def)
zipFile ZEXPORT | zipOpen3_64 (const void *path, int append, uint64_t disk_size, const char **globalcomment, zlib_filefunc64_def *pzlib_filefunc_def)
int ZEXPORT | zipOpenNewFileInZip (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level)
int ZEXPORT | zipOpenNewFileInZip64 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int zip64)
int ZEXPORT | zipOpenNewFileInZip2 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw)
int ZEXPORT | zipOpenNewFileInZip2_64 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw, int zip64)
int ZEXPORT | zipOpenNewFileInZip3 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, ZIP_UNUSED uint32_t crc_for_crypting)
int ZEXPORT | zipOpenNewFileInZip3_64 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, ZIP_UNUSED uint32_t crc_for_crypting, int zip64)
int ZEXPORT | zipOpenNewFileInZip4 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, ZIP_UNUSED uint32_t crc_for_crypting, uint16_t version_madeby, uint16_t flag_base)
int ZEXPORT | zipOpenNewFileInZip4_64 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, ZIP_UNUSED uint32_t crc_for_crypting, uint16_t version_madeby, uint16_t flag_base, int zip64)
int ZEXPORT | zipOpenNewFileInZip5 (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uint16_t size_extrafield_local, const void *extrafield_global, uint16_t size_extrafield_global, const char *comment, uint16_t flag_base, int zip64, uint16_t method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, int aes)
int ZEXPORT | zipWriteInFileInZip (zipFile file, const void *buf, uint32_t len)
int ZEXPORT | zipCloseFileInZip (zipFile file)
int ZEXPORT | zipCloseFileInZipRaw (zipFile file, uint32_t uncompressed_size, uint32_t crc32)
int ZEXPORT | zipCloseFileInZipRaw64 (zipFile file, uint64_t uncompressed_size, uint32_t crc32)
int ZEXPORT | zipClose (zipFile file, const char *global_comment)
int ZEXPORT | zipClose_64 (zipFile file, const char *global_comment)
int ZEXPORT | zipClose2_64 (zipFile file, const char *global_comment, uint16_t version_madeby)

## Macro Definition Documentation

## ◆ APPEND_STATUS_ADDINZIP

#define APPEND_STATUS_ADDINZIP (2)

## ◆ APPEND_STATUS_CREATE

#define APPEND_STATUS_CREATE (0)

## ◆ APPEND_STATUS_CREATEAFTER

#define APPEND_STATUS_CREATEAFTER (1)

## ◆ DEF_MEM_LEVEL

#define DEF_MEM_LEVEL MAX_MEM_LEVEL

## ◆ Z_BZIP2ED

#define Z_BZIP2ED 12

## ◆ ZIP_BADZIPFILE

#define ZIP_BADZIPFILE (-103)

## ◆ ZIP_EOF

#define ZIP_EOF (0)

## ◆ ZIP_ERRNO

#define ZIP_ERRNO (Z_ERRNO)

## ◆ ZIP_INTERNALERROR

#define ZIP_INTERNALERROR (-104)

## ◆ ZIP_OK

#define ZIP_OK (0)

## ◆ ZIP_PARAMERROR

#define ZIP_PARAMERROR (-102)

## Typedef Documentation

## ◆ zipFile

typedef voidp zipFile

## Function Documentation

## ◆ zipClose()

int ZEXPORT zipClose | ( | zipFile | file,
|  | const char * | global_comment
| ) |  |

Here is the call graph for this function:

## ◆ zipClose2_64()

int ZEXPORT zipClose2_64 | ( | zipFile | file,
|  | const char * | global_comment,
|  | uint16_t | version_madeby
| ) |  |

Here is the call graph for this function:

## ◆ zipClose_64()

int ZEXPORT zipClose_64 | ( | zipFile | file,
|  | const char * | global_comment
| ) |  |

Here is the call graph for this function:

## ◆ zipCloseFileInZip()

int ZEXPORT zipCloseFileInZip | ( | zipFile | file | ) |

Here is the call graph for this function:

## ◆ zipCloseFileInZipRaw()

int ZEXPORT zipCloseFileInZipRaw | ( | zipFile | file,
|  | uint32_t | uncompressed_size,
|  | uint32_t | crc32
| ) |  |

Here is the call graph for this function:

## ◆ zipCloseFileInZipRaw64()

int ZEXPORT zipCloseFileInZipRaw64 | ( | zipFile | file,
|  | uint64_t | uncompressed_size,
|  | uint32_t | crc32
| ) |  |

## ◆ zipOpen()

zipFile ZEXPORT zipOpen | ( | const char * | path,
|  | int | append
| ) |  |

Here is the call graph for this function:

## ◆ zipOpen2()

zipFile ZEXPORT zipOpen2 | ( | const char * | path,
|  | int | append,
|  | const char ** | globalcomment,
|  | zlib_filefunc_def * | pzlib_filefunc_def
| ) |  |

Here is the call graph for this function:

## ◆ zipOpen2_64()

zipFile ZEXPORT zipOpen2_64 | ( | const void * | path,
|  | int | append,
|  | const char ** | globalcomment,
|  | zlib_filefunc64_def * | pzlib_filefunc_def
| ) |  |

Here is the call graph for this function:

## ◆ zipOpen3()

zipFile ZEXPORT zipOpen3 | ( | const char * | path,
|  | int | append,
|  | uint64_t | disk_size,
|  | const char ** | globalcomment,
|  | zlib_filefunc_def * | pzlib_filefunc_def
| ) |  |

Here is the call graph for this function:

## ◆ zipOpen3_64()

zipFile ZEXPORT zipOpen3_64 | ( | const void * | path,
|  | int | append,
|  | uint64_t | disk_size,
|  | const char ** | globalcomment,
|  | zlib_filefunc64_def * | pzlib_filefunc_def
| ) |  |

Here is the call graph for this function:

## ◆ zipOpen64()

zipFile ZEXPORT zipOpen64 | ( | const void * | path,
|  | int | append
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip()

int ZEXPORT zipOpenNewFileInZip | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip2()

int ZEXPORT zipOpenNewFileInZip2 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip2_64()

int ZEXPORT zipOpenNewFileInZip2_64 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | zip64
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip3()

int ZEXPORT zipOpenNewFileInZip3 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | windowBits,
|  | int | memLevel,
|  | int | strategy,
|  | const char * | password,
|  | ZIP_UNUSED uint32_t | crc_for_crypting
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip3_64()

int ZEXPORT zipOpenNewFileInZip3_64 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | windowBits,
|  | int | memLevel,
|  | int | strategy,
|  | const char * | password,
|  | ZIP_UNUSED uint32_t | crc_for_crypting,
|  | int | zip64
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip4()

int ZEXPORT zipOpenNewFileInZip4 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | windowBits,
|  | int | memLevel,
|  | int | strategy,
|  | const char * | password,
|  | ZIP_UNUSED uint32_t | crc_for_crypting,
|  | uint16_t | version_madeby,
|  | uint16_t | flag_base
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip4_64()

int ZEXPORT zipOpenNewFileInZip4_64 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | windowBits,
|  | int | memLevel,
|  | int | strategy,
|  | const char * | password,
|  | ZIP_UNUSED uint32_t | crc_for_crypting,
|  | uint16_t | version_madeby,
|  | uint16_t | flag_base,
|  | int | zip64
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip5()

int ZEXPORT zipOpenNewFileInZip5 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | flag_base,
|  | int | zip64,
|  | uint16_t | method,
|  | int | level,
|  | int | raw,
|  | int | windowBits,
|  | int | memLevel,
|  | int | strategy,
|  | const char * | password,
|  | int | aes
| ) |  |

Here is the call graph for this function:

## ◆ zipOpenNewFileInZip64()

int ZEXPORT zipOpenNewFileInZip64 | ( | zipFile | file,
|  | const char * | filename,
|  | const zip_fileinfo * | zipfi,
|  | const void * | extrafield_local,
|  | uint16_t | size_extrafield_local,
|  | const void * | extrafield_global,
|  | uint16_t | size_extrafield_global,
|  | const char * | comment,
|  | uint16_t | method,
|  | int | level,
|  | int | zip64
| ) |  |

Here is the call graph for this function:

## ◆ zipWriteInFileInZip()

int ZEXPORT zipWriteInFileInZip | ( | zipFile | file,
|  | const void * | buf,
|  | uint32_t | len
| ) |  |